BugTraq
[security bulletin] HPSBNS03635 rev.1 - HPE NonStop Servers OSS Script Languages running Perl and PHP, Multiple Local and Remote Vulnerabilities Aug 20 2016 04:54PM
security-alert hpe com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Note: the current version of the following document is available here:
https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c052407
31

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: c05240731
Version: 1

HPSBNS03635 rev.1 - HPE NonStop Servers OSS Script Languages running Perl and
PHP, Multiple Local and Remote Vulnerabilities

NOTICE: The information in this Security Bulletin should be acted upon as
soon as possible.

Release Date: 2016-08-19
Last Updated: 2016-08-19

Potential Security Impact: Local Denial of Service (DoS), Elevation of
Privilege, Remote Denial of Service (DoS), Execution of Arbitrary Code,
Unauthorized Disclosure of Information, Unauthorized Modification

Source: Hewlett Packard Enterprise, Product Security Response Team

VULNERABILITY SUMMARY
Multiple potential remote and local vulnerabilities impacting Perl and PHP
have been addressed by HPE NonStop Servers OSS Script Languages. The
vulnerabilities include Perl's opportunistic loading of optional modules
which might allow local users to gain elevation of privilege via a Trojan
horse library under the current working directory.

References:

- CVE-2016-1238 - Perl Local Elevation of Privilege
- CVE-2016-2381 - Perl Remote Unauthorized Modification
- CVE-2014-4330 - Perl Local Denial of Service (DoS)

**Note:** applies only for the H/J-series SPR. Fix was already
provided in a previous L-series SPR.

- CVE-2015-8383 - Perl Remote Denial of Service (DoS)
- CVE-2015-8386 - Perl Remote Denial of Service (DoS)
- CVE-2015-8387 - Perl Remote Denial of Service (DoS)
- CVE-2015-8389 - Perl Remote Denial of Service (DoS)
- CVE-2015-8390 - Perl Remote Denial of Service (DoS)
- CVE-2015-8391 - Perl Remote Denial of Service (DoS)
- CVE-2015-8393 - Perl Remote Unauthorized Disclosure of Information
- CVE-2015-8394 - Perl Remote Denial of Service (DoS)
- CVE-2015-8607 - Perl Remote Unauthorized Disclosure of Information,
Unauthorized Modification, Denial of Service (DoS)
- CVE-2015-8853 - Perl Remote Denial of Service (DoS)
- CVE-2015-8865 - Perl Remote Denial of Service (Dos), Execute Arbitrary
Code
- CVE-2013-7456 - PHP Remote Denial of Service (DoS)
- CVE-2015-8874 - PHP Remote Denial of Service (DoS)
- CVE-2016-1903 - PHP Remote Unauthorized Disclosure of Information,
Denial of Service (DoS)
- CVE-2016-2554 - PHP Remote Denial of Service (DoS)
- CVE-2016-3074 - PHP using GD Graphics Library 2.1.1 (aka libgd or
libgd2) Remote Denial of Service (Dos), Execute Arbitrary Code
- CVE-2016-4070 - PHP Remote Denial of Service (DoS)
- CVE-2016-4071 - PHP Remote Execute Arbitrary Code
- CVE-2016-4072 - PHP Remote Execute Arbitrary Code
- CVE-2016-4073 - PHP Remote Denial of Service (Dos), Execute Arbitrary
Code
- CVE-2016-4342 - PHP Remote Denial of Service (DoS)
- CVE-2016-4343 - PHP Remote Denial of Service (DoS)
- CVE-2016-4537 - PHP Remote Denial of Service (DoS)
- CVE-2016-4538 - PHP Remote Denial of Service (DoS)
- CVE-2016-4539 - PHP Remote Denial of Service (DoS)
- CVE-2016-4540 - PHP Remote Denial of Service (DoS)
- CVE-2016-4541 - PHP Remote Denial of Service (DoS)
- CVE-2016-4542 - PHP Remote Denial of Service (DoS)
- CVE-2016-4543 - PHP Remote Denial of Service (DoS)
- CVE-2016-4544 - PHP Remote Denial of Service (DoS)
- CVE-2016-5093 - PHP Remote Denial of Service (DoS)
- CVE-2016-5094 - PHP Remote Denial of Service (DoS)
- CVE-2016-5096 - PHP Remote Denial of Service (DoS)
- CVE-2016-5114 - PHP Remote Unauthorized Disclosure of Information,
Denial of Service (DoS)
- CVE-2016-5766 - PHP Remote Denial of Service (DoS)
- CVE-2016-5767 - PHP Remote Denial of Service (DoS)
- CVE-2016-5768 - PHP Remote Denial of Service (Dos), Execute Arbitrary
Code
- CVE-2016-5769 - PHP Remote Denial of Service (DoS)
- CVE-2016-5770 - PHP Remote Denial of Service (DoS)
- CVE-2016-5771 - PHP Remote Denial of Service (Dos), Execute Arbitrary
Code
- CVE-2016-5772 - PHP Remote Denial of Service (Dos), Execute Arbitrary
Code
- CVE-2016-5773 - PHP Remote Denial of Service (Dos), Execute Arbitrary
Code
- NonStop Hotstuff HS03333
- PSRT110206

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.
OSS Script Languages (T1203) T1203H01 through T1203H01^AAD, T1203L01 and
T1203L01^AAC

*Impacted releases:*

- L15.02
- L15.08.00, L15.08.01
- L16.05.00

- J06.14 through J06.16.02
- J06.17.00, J06.17.01
- J06.18.00, J06.18.01
- J06.19.00, J06.19.01, J06.19.02
- J06.20.00

- H06.25 through H06.26.01
- H06.27.00, H06.27.01
- H06.28.00, H06.28.01
- H06.29.00, H06.29.01

BACKGROUND

CVSS Base Metrics
=================
Reference, CVSS V3 Score/Vector, CVSS V2 Score/Vector

CVE-2013-7456
7.6 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:H
6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVE-2014-4330
4.0 CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
2.1 (AV:L/AC:L/Au:N/C:N/I:N/A:P)

CVE-2015-8383
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8386
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8387
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8389
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8390
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8391
8.6 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
9.0 (AV:N/AC:L/Au:N/C:P/I:P/A:C)

CVE-2015-8393
5.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
5.0 (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVE-2015-8394
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8607
7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8853
7.5 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVE-2015-8865
7.3 CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2015-8874
7.5 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVE-2016-1238
6.7 CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H
6.2 (AV:L/AC:H/Au:N/C:C/I:C/A:C)

CVE-2016-1903
9.1 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H
6.4 (AV:N/AC:L/Au:N/C:P/I:N/A:P)

CVE-2016-2381
6.5 CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N
5.0 (AV:N/AC:L/Au:N/C:N/I:P/A:N)

CVE-2016-2554
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVE-2016-3074
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4070
7.5 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVE-2016-4071
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4072
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4073
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4342
8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
8.3 (AV:N/AC:M/Au:N/C:P/I:P/A:C)

CVE-2016-4343
8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVE-2016-4537
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4538
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4539
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4540
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4541
9.1 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4542
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4543
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-4544
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5093
8.6 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5094
8.6 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5096
8.6 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5114
9.1 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H
6.4 (AV:N/AC:L/Au:N/C:P/I:N/A:P)

CVE-2016-5766
8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVE-2016-5767
8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVE-2016-5768
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5769
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5770
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5771
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5772
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2016-5773
9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

Information on CVSS is documented in
HPE Customer Notice HPSN-2008-002 here:

https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c013454
99

RESOLUTION

HPE has released the following software updates to resolve the
vulnerabilities in NonStop Servers OSS Script Languages running Perl and PHP.

Install one of the SPRs below as appropriate for the system's release
version:

+ L-Series:

* T1203L01^AAE (OSS Scripting Languages) - already available

This SPR already is present in these RVUs: None

This SPR is usable with the following RVUs:

- L15.02 through L16.05.00

+ H and J-Series:

* T1203H01^AAF (OSS Scripting Languages) - already available

This SPR already is present in these RVUs: None

This SPR is usable with the following RVUs:

- J06.14 through J06.20.00

- H06.25 through H06.29.01

**Note:** Please refer to *NonStop Hotstuff HS03333* for more information.

HISTORY
Version:1 (rev.1) - 19 August 2016 Initial release

Third Party Security Patches: Third party security patches that are to be
installed on systems running Hewlett Packard Enterprise (HPE) software
products should be applied in accordance with the customer's patch management
policy.

Support: For issues about implementing the recommendations of this Security
Bulletin, contact normal HPE Services support channel. For other issues about
the content of this Security Bulletin, send e-mail to security-alert (at) hpe (dot) com. [email concealed]

Report: To report a potential security vulnerability for any HPE supported
product:
Web form: https://www.hpe.com/info/report-security-vulnerability
Email: security-alert (at) hpe (dot) com [email concealed]

Subscribe: To initiate a subscription to receive future HPE Security Bulletin
alerts via Email: http://www.hpe.com/support/Subscriber_Choice

Security Bulletin Archive: A list of recently released Security Bulletins is
available here: http://www.hpe.com/support/Security_Bulletin_Archive

Software Product Category: The Software Product Category is represented in
the title by the two characters following HPSB.

3C = 3COM
3P = 3rd Party Software
GN = HPE General Software
HF = HPE Hardware and Firmware
MU = Multi-Platform Software
NS = NonStop Servers
OV = OpenVMS
PV = ProCurve
ST = Storage Software
UX = HP-UX

Copyright 2016 Hewlett Packard Enterprise

Hewlett Packard Enterprise shall not be liable for technical or editorial
errors or omissions contained herein. The information provided is provided
"as is" without warranty of any kind. To the extent permitted by law, neither
HP or its affiliates, subcontractors or suppliers will be liable for
incidental,special or consequential damages including downtime cost; lost
profits; damages relating to the procurement of substitute products or
services; or damages for loss of data, or software restoration. The
information in this document is subject to change without notice. Hewlett
Packard Enterprise and the names of Hewlett Packard Enterprise products
referenced herein are trademarks of Hewlett Packard Enterprise in the United
States and other countries. Other product and company names mentioned herein
may be trademarks of their respective owners.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBAgAGBQJXt3agAAoJEGIGBBYqRO9/bxkH/1EVS3tqVmJcgc6m3u3aZk8o
OhnKG+FTz8bhRPkeRn90P57BWW/tjDCc/U3vbtX+3r7SxRwDactfzhe4F9Xw2URO
XfPJqusug8DU8UY51zIG5wf0P2IF0hNAv/XQ1El/YhLYO6QvvWWLaxbXpdKHXd7j
Y7yPzq4tBOoZdnaIgP0xdWrna81tkS+c5eKW+cY432xEdOeA1e2W5rER/AMowSX1
DWsleBMn1enV4cktUXQmoh/o4zgSfv7jwHIOErwaUbui7tdhUA4b7kKPcmXxbDn7
dXxy9cKZQmc0ujqrTUC03JQxvgDa3TIcYBs/FUHTpRnSUFFhQ4yNfky2QsdC3PY=
=n6RW
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus